Bug 185015 - Use unified build for WebProcess
Summary: Use unified build for WebProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Horton
URL:
Keywords: InRadar
Depends on: 188868
Blocks: 185010
  Show dependency treegraph
 
Reported: 2018-04-25 16:53 PDT by Michael Catanzaro
Modified: 2018-08-23 14:52 PDT (History)
10 users (show)

See Also:


Attachments
Patch (326.30 KB, patch)
2018-08-21 00:36 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (328.92 KB, patch)
2018-08-21 10:37 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (330.48 KB, patch)
2018-08-21 11:12 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (331.97 KB, patch)
2018-08-21 11:26 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (332.08 KB, patch)
2018-08-21 11:30 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (331.90 KB, patch)
2018-08-21 11:58 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.82 MB, application/zip)
2018-08-21 13:37 PDT, Build Bot
no flags Details
Patch (329.18 KB, patch)
2018-08-21 16:30 PDT, Tim Horton
no flags Details | Formatted Diff | Diff
Patch (332.24 KB, patch)
2018-08-21 19:23 PDT, Tim Horton
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2018-04-25 16:53:11 PDT
Use unified build for WebProcess
Comment 1 Tim Horton 2018-08-21 00:36:54 PDT
Created attachment 347619 [details]
Patch
Comment 2 Tim Horton 2018-08-21 00:37:20 PDT
I haven't gotten it to build all the way through yet, but it's a start.
Comment 3 Tim Horton 2018-08-21 10:37:58 PDT
Created attachment 347657 [details]
Patch
Comment 4 Tim Horton 2018-08-21 11:12:24 PDT
Created attachment 347660 [details]
Patch
Comment 5 Tim Horton 2018-08-21 11:26:27 PDT
Created attachment 347661 [details]
Patch
Comment 6 Tim Horton 2018-08-21 11:30:17 PDT
Created attachment 347662 [details]
Patch
Comment 7 Tim Horton 2018-08-21 11:58:17 PDT
Created attachment 347669 [details]
Patch
Comment 8 Build Bot 2018-08-21 13:37:16 PDT
Comment on attachment 347669 [details]
Patch

Attachment 347669 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8933671

New failing tests:
tiled-drawing/scrolling/non-fast-region/wheel-event-plugin.html
Comment 9 Build Bot 2018-08-21 13:37:18 PDT
Created attachment 347683 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 10 Tim Horton 2018-08-21 16:30:59 PDT
Created attachment 347723 [details]
Patch
Comment 11 Tim Horton 2018-08-21 19:23:29 PDT
Created attachment 347753 [details]
Patch
Comment 12 WebKit Commit Bot 2018-08-22 09:54:25 PDT
Comment on attachment 347753 [details]
Patch

Clearing flags on attachment: 347753

Committed r235176: <https://trac.webkit.org/changeset/235176>
Comment 13 WebKit Commit Bot 2018-08-22 09:54:27 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2018-08-22 09:55:46 PDT
<rdar://problem/43609045>
Comment 15 Dawei Fenton (:realdawei) 2018-08-22 15:34:09 PDT
(In reply to WebKit Commit Bot from comment #12)
> Comment on attachment 347753 [details]
> Patch
> 
> Clearing flags on attachment: 347753
> 
> Committed r235176: <https://trac.webkit.org/changeset/235176>

This is breaking internal builds, rolling out.
Comment 16 Tim Horton 2018-08-22 15:39:26 PDT
(In reply to David Fenton (:realdawei) from comment #15)
> (In reply to WebKit Commit Bot from comment #12)
> > Comment on attachment 347753 [details]
> > Patch
> > 
> > Clearing flags on attachment: 347753
> > 
> > Committed r235176: <https://trac.webkit.org/changeset/235176>
> 
> This is breaking internal builds, rolling out.

Please wait for https://bugs.webkit.org/show_bug.cgi?id=188865?
Comment 17 Dawei Fenton (:realdawei) 2018-08-22 15:39:36 PDT
Reverted r235176 for reason:

broke internal builds

Committed r235204: <https://trac.webkit.org/changeset/235204>
Comment 18 Dawei Fenton (:realdawei) 2018-08-22 15:44:57 PDT
Reverted r235204 for reason:

reverting previous rollout

Committed r235205: <https://trac.webkit.org/changeset/235205>